<!-- If you have an issue with a plugin consider creating an issue in the plugin's github repo instead. -->
### Pre Steps

<!-- Before opening an issue, please review the Troubleshooting Page on the Wiki to ensure that this is a new issue, and alternatively search the closed issues for similar problems. -->
<!-- Link to the Troubleshooting page on the Wiki - https://github.com/nfarina/homebridge/wiki/Basic-Troubleshooting  -->

<!-- Provide a general summary in the Title above -->

### Expected Behavior
<!-- If you're describing a bug, tell us what should happen -->
<!-- If you're suggesting a change/improvement, tell us how it should work -->

### Current Behavior
<!-- If describing a bug, tell us what happens instead of the expected behavior -->
<!-- If suggesting a change/improvement, explain the difference from current behavior -->

### Steps to Reproduce (for bugs)
<!-- Please add a series of steps to reproduce the problem. -->

### Versions
<!-- Please run commands and include versions below. -->
- **Homebridge**: `homebridge --version`
- **Node**:       `node --version`
- **OS**:         <!-- The version and architecture of your operating system -->

### Configuration
<!-- If relevant, include the contents of your config.json file between the two ``` lines below.
  - Remove any sensitive information, passwords, etc.
  - If output is long:
    - Please extract only the relevant portions if possible
    - Consider creating a gist, etc
 -->
```json

```

### Homebridge Log / Command Output
<!-- Paste relevant output between the two ``` lines below
  - Remove any sensitive information, passwords, etc.
  - If output is long:
    - Please extract only the relevant portions if possible
    - Consider creating a gist, etc
  - However, please include the beginning of the log where the homebridge initialization happens if possible
-->
```

```
